/* RESET */
@import "../../../shared/styles/index";

* {
	box-sizing: border-box;
}

html {
	height: 100%;
}

body {
	display: flex;
	flex-direction: column;
	width: 100%;
	min-height: 100%;
	overflow-x: hidden;
	background-color: white;
}

meeting-app {
	display: flex;
	flex-direction: column;
	flex-grow: 1;
	background-color: white;
}

.scroll-container {
	width: 100%;
	min-height: 100%;
	display: flex;
	flex: 1 1 auto;
	flex-flow: column;
}

.ftscroller_container {
	display: flex;
	flex: 1 0 auto;
	flex-flow: column;
}

.ftscroller_x,
.ftscroller_y {
	display: flex;
	width: 200%;
	min-height: 100%;
	flex-grow: 1;
}

.view-placeholder, meeting-app ui-view {
	display: flex;
	flex: 1 1 auto;
	width: 100%;
	min-height: 100%;
}

.view-placeholder {
	&.view-placeholder-loader {
		padding-top: 20px;
		justify-content: center;
	}

	meeting-list-view{
		display: none;
	}
}

.body-scroll-container .zs-modal-body{
    height: 100% !important;
    max-height: 100% !important;
    width: 100% !important;
    max-width: 100% !important;
    min-width: 0 !important;
}


/**************

View Animations

***************/

@keyframes detail-modal-in {
	0%, 50% { transform: translateX(100%); }
	100% { transform: translateX(0); }
}

@keyframes detail-modal-out {
	0% { transform: translateX(0); }
	50%, 100% { transform: translateX(100%); }
}

@keyframes view-in {
	0%, 50% {
		opacity: 0.5;
	}
	100% {
		opacity: 1;
	}

}

@keyframes view-out {
	0% {
		opacity: 1;
	}
	50%, 100% {
		opacity: 0.5;
	}
}
